TrackedInputStream (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.util

## Class TrackedInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.cassandra.io.util.TrackedInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, BytesReadTracker

      public class TrackedInputStream
      extends java.io.FilterInputStream
      implements BytesReadTracker

  This class is to track bytes read from given DataInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackedInputStream(java.io.InputStream source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytesRead()`
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`
    `void` | `reset(long count)` reset counter to @param count
    `long` | `skip(long n)`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, mark, markSupported, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackedInputStream

          public TrackedInputStream(java.io.InputStream source)

  - ### Method Detail

    - #### getBytesRead

          public long getBytesRead()

      Specified by:
        `getBytesRead` in interface `BytesReadTracker`

    - #### reset

          public void reset(long count)

      reset counter to @param count
      Specified by:
        `reset` in interface `BytesReadTracker`

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### skip

          public long skip(long n)
                    throws java.io.IOException

      Overrides:
        `skip` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation